View Issue Details

IDProjectCategoryView StatusLast Update
0000177file[All Projects] Generalpublic2020-08-14 19:30
ReporterojabAssigned Tochristos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.39 
Target VersionFixed in Version5.40 
Summary0000177: Add GNU/Emacs pdumper image support
Description```
$ file /usr/libexec/emacs/27.1/x86_64-pc-linux-gnu/emacs.pdmp
/usr/libexec/emacs/27.1/x86_64-pc-linux-gnu/emacs.pdmp: data
```
Additional InformationPatch via git mirror master in the attached file,
```
$ /usr/local/bin/file /usr/libexec/emacs/27.1/x86_64-pc-linux-gnu/emacs.pdmp
/usr/libexec/emacs/27.1/x86_64-pc-linux-gnu/emacs.pdmp: GNU/Emacs pdumper image
```
TagsNo tags attached.

Activities

ojab

2020-08-11 09:24

reporter  

emacs_pdumper.patch (501 bytes)
diff --git a/magic/Magdir/lisp b/magic/Magdir/lisp
index d32cc101..033cbe4e 100644
--- a/magic/Magdir/lisp
+++ b/magic/Magdir/lisp
@@ -60,6 +60,9 @@
 !:apple	EMAxTEXT
 !:ext elc
 
+# Files produced by GNU/Emacs pdumper
+0	string	DUMPEDGNUEMACS	GNU/Emacs pdumper image
+
 # Files produced by CLISP Common Lisp From: Bruno Haible <haible@ilog.fr>
 0	string	(SYSTEM::VERSION\040'	CLISP byte-compiled Lisp program (pre 2004-03-27)
 0	string	(|SYSTEM|::|VERSION|\040'	CLISP byte-compiled Lisp program text
emacs_pdumper.patch (501 bytes)

christos

2020-08-14 19:30

manager   ~0003446

Added thanks!

Issue History

Date Modified Username Field Change
2020-08-11 09:24 ojab New Issue
2020-08-11 09:24 ojab File Added: emacs_pdumper.patch
2020-08-14 19:30 christos Assigned To => christos
2020-08-14 19:30 christos Status new => assigned
2020-08-14 19:30 christos Status assigned => resolved
2020-08-14 19:30 christos Resolution open => fixed
2020-08-14 19:30 christos Fixed in Version => 5.40
2020-08-14 19:30 christos Note Added: 0003446